/*
 * Copyright (C) 2012 nico3000 - All Rights Reserved
 */
package event.events;

/**
 * Das Event wird geworfen, sobald ein Actor erstellt wurde.
 * @author nico3000
 */
public class ActorCreatedEvent extends ActorEvent {
    public static final int ID = 0x44c25e9d;
    
    /**
     * Konstruktor.
     * @param actorId Die ID des Actors, der erstellt wurde
     */
    public ActorCreatedEvent(int actorId) {
        super(actorId);
    }

    @Override
    public int getId() {
        return ID;
    }    
}
