/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package event.events;

import event.EventData;

/**
 * Ein Event, das einen String mitliefert. Wird von einem <tt>TextField</tt>
 * automatisch befuellt.
 * @author nico3000
 */
public abstract class StringEvent extends EventData {
    /**
     * Der mitgelieferte String.
     */
    private String string = null;

    /**
     * Liefert den String.
     * @return Der String
     */
    public String getString() {
        return string;
    }

    /**
     * Setzt den String.
     * @param string Der neue String
     */
    public void setString(String string) {
        this.string = string;
    }
}
