/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package gui;

import graphics.texture.Texture;

/**
 *
 * @author nico3000
 */
public interface ComponentDrawer {
    public abstract boolean init();
    public abstract Texture createLabel(String text, int width, int height);
    public abstract Texture createImageLabel(String imageResource, int width, int height);    
    public abstract Texture createButton(String text, int width, int height, boolean focus, boolean hovered, boolean pressed);
    public abstract Texture createImageButton(String imageResource, int width, int height, boolean focus, boolean hovered, boolean pressed);
    public abstract Texture createTextField(String text, int caretPosition, int fontSize, int width, int height);
}
